Subject: Re: [mpls] MPLS-RT review of draft-bryant-mpls-oam-udp-return

From: "Aissaoui, Mustapha (Mustapha)" <[email-masked]>
Date: Fri, 20 Jun 2014 22:37:12 +0000

Dear all,
I was asked to review this draft. I understand the need to provide a more granular out-of-band reply using a querier provided UDP port. Thus it is a useful draft to pursue.

However, there are a couple of issues I found in this draft which if addressed would make in my view the document ready for WG status:

1. the first issue has to do with what I interpreted (correct me if I am wrong) as a change to the reply procedures in RFC 6374. This draft states in Section 4:
"
If either the Return Address Object or Return UDP Port Object is not
   present in Query message and an MPLS-PLDM Response is requested out-
   of-band, the Query message MUST NOT be processed further.  
"
This modifies the behavior of RFC 6374 which does allow the reply to be sent over the address in the Source Address Object or over some configured out-of-band response mechanism if none of the Source and Return Address objects were included in the MPLS-PLDM query message. 

2. The second issue has to do with the fact that the UDP Port Object is a separate object from the address to be used with. I do not think this is a good idea since the responder node can easily combine an address provided in the Source Address Object with this UDP port and send it to the wrong node in a cluster system.
I propose that a new Return Address object be created which combines both the return address and return UDP port.

Regards,
Mustapha.